import 'package:comet_cli/functions/read_yaml.dart';
import 'package:comet_cli/functions/run_flutter_pub_get.dart';
import 'package:comet_cli/utils/download_zip.dart';
import 'package:comet_cli/utils/progress_star.dart';
import 'package:comet_cli/utils/unzip.dart';

Future<void> create(
  String templateZipUrl,
  String projectName,
) async {
  ProgressStar.start('download template..');
  final template = await downloadZip(templateZipUrl);

  ProgressStar.message('unzip template..');
  await unzip(template, projectName);

  final cometYaml = readCometYaml(path: '$projectName/');
  if (cometYaml == null) {
    print('Not Found comet.yaml');
    return;
  }

  ProgressStar.message('flutter pub get..');
  await runFlutterPubGet('$projectName/${cometYaml.flutterProject.root}');

  ProgressStar.stop();
}
